Initialize resources for a payment schedule

Requires the PAYMENT_SCHEDULE.CREATE, PAYMENT_METHOD.CREATE, PAYMENT_METHOD.UPDATE, CUSTOMER.CREATE or CUSTOMER.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
customerobject or nullOptional
Details of the customer to create or update before creating the payment schedule.
payment_methodobject or nullOptional
Details of the payment method to create or update for the customer.
payment_scheduleobjectOptional
Details of the payment schedule to create.

Response

OK
customerobject or null
Details of the customer to create or update before creating the payment schedule.
payment_methodobject or null
Details of the payment method to create or update for the customer.
payment_scheduleobject
Details of the payment schedule to create.
payment_requestslist of objects or nullRead-only
Payment requests that were generated for the payment schedule.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error